Skip to main content
GET
/
v1
/
transaction_settings
Get transaction settings
curl --request GET \
  --url https://incoming.qomon.app/v1/transaction_settings \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "batch_prefix": "<string>",
    "batch_serial": 1,
    "batch_serial_updated_at": "2023-11-07T05:31:56Z",
    "currency": "<string>",
    "default_donation_price_id": 1,
    "default_membership_price_id": 1,
    "default_status_id": 1,
    "max_batch_size": 1,
    "membership_prefix": "<string>",
    "membership_serial": 1,
    "payment_method_kinds": [
      "<string>"
    ],
    "additional_settings": {},
    "open_periods": {}
  },
  "status": "<string>"
}
Use payment_method_kinds to find the allowed values for payment_method_kind on transactions. Use default_status_id as the status_id when creating new valid transactions.

Authorizations

Authorization
string
header
required

OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.

Response

OK

data
object
required
status
string
required

Operation result.

Example:

"success"

Last modified on June 16, 2026